Almost no info about Krita snap in Ubuntu Software

Bug #1588266 reported by Pierre Equoy on 2016-06-02
This bug report is a duplicate of:  Bug #1603610: Snaps have no screenshots. Edit Remove
34
This bug affects 7 people
Affects Status Importance Assigned to Milestone
gnome-software (Ubuntu)
High
William Hua

Bug Description

Krita 3.0 was released [1] and it was packaged as a snap which is available in Ubuntu Software.

However, when a user looks for "krita" in Ubuntu Software, (s)he will find one package without an icon, without screenshots, without user reviews... and with a scary "non-free" warning box. See attached screenshot.

Krita has been around for a while and the previous versions were available in the repo, so I'm sure there used to be an icon, some user reviews and probably some screenshots as well :)

[1] https://krita.org/item/krita-3-0-released/

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubuntu-software 3.20.1+git20160426.1.a976144-ubuntu-xenial-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
NonfreeKernelModules: kpatch_livepatch_Ubuntu_4_4_0_22_40_generic_7
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Jun 2 18:00:34 2016
InstallationDate: Installed on 2016-04-25 (38 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
SourcePackage: gnome-software
UpgradeStatus: No upgrade log present (probably fresh install)

Pierre Equoy (pieq) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-software (Ubuntu):
status: New → Confirmed
John Lenton (chipaca) wrote :

I believe the issue is with snapd, as it doesn't yet expose licencing information.

Sebastien Bacher (seb128) wrote :

Thank you for your bug report. The snap backend isn't getting info from the debs and indeed snapd is notproviding all the info needed for a good experience (like the license or screenshots), also I'm unsure the snap store has reviews yet

Changed in gnome-software (Ubuntu):
importance: Undecided → High
John Lenton (chipaca) wrote :

(the non-free blurb part of this bug, that is)

Changed in gnome-software (Ubuntu):
assignee: nobody → William Hua (attente)
tags: added: desktop-trello-import
tags: removed: desktop-trello-import
Robert Ancell (robert-ancell) wrote :

Existing bugs:
- No license information (bug 1555567)
- Snap name (bug 1555569)
- Snaps unable to be reviewed (bug 1574586)
- snapd doesn't provide screenshots (currently untracked)

William Hua (attente) wrote :

snapd doesn't seem to be providing an endpoint to get the icon:

{
    "result": [
        {
            "description": "Krita is the free and open source digital painting application. Digital painting, creative freedom!",
            "developer": "krita",
            "download-size": 102592512,
            "icon": "",
            "id": "r8Shy9i0XE50a3tUlChg3tvjSeLGJ4Za",
            "name": "krita",
            "resource": "/v2/snaps/krita",
            "revision": 1,
            "status": "available",
            "summary": "Krita: the free digital painting studio",
            "type": "app",
            "version": "3.0-snap10"
        }
    ],
    "sources": [
        "store"
    ],
    "status": "OK",
    "status-code": 200,
    "suggested-currency": "USD",
    "type": "sync"
}

Iain Lane (laney) wrote :

Many of these problems, and ones that haven't been noticed yet, would be solved if Snappy begins to require and distribute Appstream.

John Lenton (chipaca) wrote :

The icon issue is lp:1588385.

John Lenton (chipaca) wrote :

Actually it seems the icon code works as expected, just that all the snaps I looked at to check haven't yet updated to the 16-series way of doing it.

The icon for a snap goes in meta/gui/icon.*, in which case it gets picked up automatically:

http snapd:///v2/snaps/http
HTTP/1.1 200 OK
Content-Length: 334
Content-Type: application/json
Date: Thu, 02 Jun 2016 14:22:25 GMT

{
    "result": {
        "description": "",
        "developer": "",
        "icon": "/v2/icons/http/icon",
        "id": "",
        "install-date": "2016-06-02T15:15:14+01:00",
        "installed-size": 0,
        "name": "http",
        "resource": "/v2/snaps/http",
        "revision": 100001,
        "status": "active",
        "summary": "HTTPie in a snap",
        "type": "app",
        "version": "4.6692016091"
    },
    "status": "OK",
    "status-code": 200,
    "type": "sync"
}

(that one is sideloaded, because the one in the store has it in the wrong place still).

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in snapd (Ubuntu):
status: New → Confirmed
Changed in snapd (Ubuntu):
importance: Undecided → High
Will Cooke (willcooke) wrote :
tags: added: desktop-trello-import
tags: removed: desktop-trello-import
tags: added: desktop-trello-import
tags: added: snap-desktop-issue
no longer affects: snapd (Ubuntu)
Mathew Hodson (mathew-hodson) wrote :

The Krita page in Ubuntu Software looks a lot better since bug #1603610 was fixed.

Bug #1555567 and bug #1574586 are for adding license information and user reviews to snap packages such as Krita.

tags: removed: snap-desktop-issue
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers